com.threerings.micasa.lobby.table

## Class TableLobbyObject

- java.lang.Object
- - com.threerings.presents.dobj.DObject
  - - com.threerings.crowd.data.PlaceObject
    - - com.threerings.micasa.lobby.LobbyObject
      - - com.threerings.micasa.lobby.table.TableLobbyObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable, TableLobbyObject

    public class TableLobbyObject
    extends LobbyObject
    implements TableLobbyObject

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.data.PlaceObject

`com.threerings.crowd.data.PlaceObject.ManagerCaller`

### Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject

`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static String` `TABLE_SERVICE` The field name of the `tableService` field.
`static String` `TABLE_SET` The field name of the `tableSet` field.
`TableMarshaller` `tableService` Handles our table services.
`com.threerings.presents.dobj.DSet<Table>` `tableSet` A set containing all of the tables being managed by this lobby.

### Fields inherited from class com.threerings.crowd.data.PlaceObject

`manager, OCCUPANT_INFO, occupantInfo, occupants, OCCUPANTS, SPEAK_SERVICE, speakService`

### Fields inherited from interface com.threerings.crowd.chat.data.SpeakObject

`DEFAULT_IDENTIFIER`

### Constructor Summary

Constructors
Constructor and Description
`TableLobbyObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToTables(Table table)` Adds the supplied table instance to the tables set (using the appropriate distributed object mechanisms).
`void` `addToTableSet(Table elem)` Requests that the specified entry be added to the `tableSet` set.
`com.threerings.presents.dobj.DSet<Table>` `getTables()` Returns a reference to the distributed set instance that will be holding the tables.
`TableMarshaller` `getTableService()` Returns a reference to the table service configured in this object.
`void` `removeFromTables(Comparable<?> key)` Removes the table instance that matches the specified key from the tables set (using the appropriate distributed object mechanisms).
`void` `removeFromTableSet(Comparable<?> key)` Requests that the entry matching the supplied key be removed from the `tableSet` set.
`void` `setTableService(TableMarshaller value)` Requests that the `tableService` field be set to the specified value.
`void` `setTableSet(com.threerings.presents.dobj.DSet<Table> value)` Requests that the `tableSet` field be set to the specified value.
`void` `updateTables(Table table)` Updates the value of the specified table instance in the tables distributed set (using the appropriate distributed object mechanisms).
`void` `updateTableSet(Table elem)` Requests that the specified entry be updated in the `tableSet` set.

### Methods inherited from class com.threerings.crowd.data.PlaceObject

`addToOccupantInfo, addToOccupants, applyToListeners, getChatIdentifier, getOccupantInfo, initManagerCaller, removeFromOccupantInfo, removeFromOccupants, setOccupantInfo, setSpeakService, shouldBroadcast, updateOccupantInfo`

### Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TABLE_SET

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String TABLE_SET

The field name of the `tableSet` field.

See Also:
  Constant Field Values

#### TABLE_SERVICE

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String TABLE_SERVICE

The field name of the `tableService` field.

See Also:
  Constant Field Values

#### tableSet

    public com.threerings.presents.dobj.DSet<Table> tableSet

A set containing all of the tables being managed by this lobby.

#### tableService

    public TableMarshaller tableService

Handles our table services.

### Constructor Detail

#### TableLobbyObject

    public TableLobbyObject()

### Method Detail

#### getTables

    public com.threerings.presents.dobj.DSet<Table> getTables()

Description copied from interface: `TableLobbyObject`
Returns a reference to the distributed set instance that will be holding the tables.

Specified by:
  `getTables` in interface `TableLobbyObject`

#### addToTables

    public void addToTables(Table table)

Description copied from interface: `TableLobbyObject`
Adds the supplied table instance to the tables set (using the appropriate distributed object mechanisms).

Specified by:
  `addToTables` in interface `TableLobbyObject`

#### updateTables

    public void updateTables(Table table)

Description copied from interface: `TableLobbyObject`
Updates the value of the specified table instance in the tables distributed set (using the appropriate distributed object mechanisms).

Specified by:
  `updateTables` in interface `TableLobbyObject`

#### removeFromTables

    public void removeFromTables(Comparable<?> key)

Description copied from interface: `TableLobbyObject`
Removes the table instance that matches the specified key from the tables set (using the appropriate distributed object mechanisms).

Specified by:
  `removeFromTables` in interface `TableLobbyObject`

#### getTableService

    public TableMarshaller getTableService()

Description copied from interface: `TableLobbyObject`
Returns a reference to the table service configured in this object.

Specified by:
  `getTableService` in interface `TableLobbyObject`

#### addToTableSet

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToTableSet(Table elem)

Requests that the specified entry be added to the `tableSet` set. The set will not change until the event is actually propagated through the system.

#### removeFromTableSet

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromTableSet(Comparable<?> key)

Requests that the entry matching the supplied key be removed from the `tableSet` set. The set will not change until the event is actually propagated through the system.

#### updateTableSet

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void updateTableSet(Table elem)

Requests that the specified entry be updated in the `tableSet` set. The set will not change until the event is actually propagated through the system.

#### setTableSet

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setTableSet(com.threerings.presents.dobj.DSet<Table> value)

Requests that the `tableSet` field be set to the specified value. Generally one only adds, updates and removes entries of a distributed set, but certain situations call for a complete replacement of the set value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### setTableService

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setTableService(TableMarshaller value)

Requests that the `tableService` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

Specified by:
  `setTableService` in interface `TableLobbyObject`